
redis:
  fullnameOverride: redis
  enabled: true
  cluster:
    enabled: false
  image:
    tag: "5.0"
  usePassword: false

containerPort: 8080

image:
  repository: registry.gitlab.com/tikal-external/academy-public/images/nodejs-ping
  tag: 0.1.0

# This will render the the {{ include "pingalicious.fullname" . }} to api -> see the _helpers.tpl file
fullnameOverride: "api"

# this sets the confgFilename to be default.json 
nodeEnv: kubernetes

# The configFile name e.g my-file.json will render to configmap
configFilename: kubernetes.json 

# The json entries ... configJson will populate the my-file.json configmap
configJson:
  redis_host: "redis-master"
  redis_port: 6379

# The ingress configration
ingress:
  enabled: true
  hosts:
    - paths:
        - path: /
          pathType: ImplementationSpecific